Bug 62858 - screen -r + detaching is recorded in wtmp
Summary: screen -r + detaching is recorded in wtmp
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-06 13:59 UTC by Pekka Savola
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-06 13:59:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2002-04-06 13:59:55 UTC
screen-3.9.9-3.

When I do something like:

host1$ screen
host1$ ssh somehost
host2 $ [CTRL-A d]
[detached]
host1$ screen -r
host2$ [CTRL-A d]
[detached]

Entries will get written to wtmp, and will be seen with 'last' like:

pekkas   pts/3                         Sat Apr  6 16:52 - 16:52  (00:00)    
pekkas   pts/3                         Sat Apr  6 16:52 - 16:52  (00:00)    
pekkas   pts/3                         Sat Apr  6 16:52 - 16:52  (00:00)    


One can note that each 'screen -r' and detaching the terminal will yield an entry in wtmp.  
I don't think this is sensible at all..

Comment 1 Phil Copeland 2002-05-09 19:40:41 UTC
actually it dos make sense in thta it indicates that the session has been
restarted/activated and is equivlent to a new login

but this is all semantics. This behaviour is what we see from upstream and as
screen is owned by the gun project group I don't have a say in making a design
change. You'd be better off mailing the screen maintainer at gnu than me.

(jnweiger@immd4.informatik.uni-erlangen.de)
see http://www.gnu.org/directory/screen.html

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.